#pragma once
#include "MMatrix.h"

class BetterCamera{
public:
  BetterCamera();


  virtual int handle(int);
  virtual bool uiStep();

  // computes the transform from the angles
  void getCamera(Matrix); 

  // store the direction - use it to build a matrix
  float direction;
  float pitch;
  float posX, posY, posZ;

  void forward(float);
  void localTrans(float,float,float);

  unsigned long lastUItime;
  

  // remember mouse state
  int buttonDown;
};